/*
 * simpledraw
 * Copyright (C) 2004 Kohta NAKASHIMA
 *
 * This program is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"


void
on_create1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_open1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_save1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}

/* $B%a%K%e!<!V(Bquit$B!W$KBP$9$k%7%0%J%k%O%s%I%i(B */
void
on_quit1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
    gtk_main_quit();
}


void
on_line1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_rectangle1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_ellipse1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}

/* $B%a%K%e!<!V(BAbout$B!W$KBP$9$k%7%0%J%k%O%s%I%i(B */
void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
    g_print("simpledraw version 0.0\n");
    g_print("Copyright (C) 2004 Kohta NAKASHIMA\n");
    g_print("This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n");
    g_print("This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n");
    g_print("You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.\n");

}

/* $BJD$8$k%\%?%s$,2!$5$l!"%&%$%s%I%&$,JD$8$i$l$k;~$N%7%0%J%k%O%s%I%i(B */
gboolean
on_window1_delete_event                (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{

    return FALSE;
}

/* delete_event$B$N%O%s%I%i$,(BFALSE$B$rJV$9$HAw$i$l$k(Bdestry$B%7%0%J%k$N%O%s%I%i!#(B */
void
on_window1_destroy                     (GtkObject       *object,
                                        gpointer         user_data)
{
    gtk_main_quit();
}

